> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--response-center/queries/get-incident-affected-resources.md).

# getIncidentAffectedResources

Deduplicated resources affected by one incident, derived from its evidence (worst-first).

### Examples

{% tabs %}
{% tab title="GraphQL" %}

```graphql
query GetIncidentAffectedResources($incidentId: String!) {
  getIncidentAffectedResources(incidentId: $incidentId) {
    items {
      resourceName
      kind
      resourceDetail
      appName
      appId
      appType
      resourceOwner
      hitIndicatorValues
      appTags
      businessUnits {
        id
        name
      }
      affectedPackages {
        name
        versions
      }
      openIssues
      resolvedIssues
      sbomCount
      activeRows
      isRunning
      cloudRunState
      isCloudDeployed
      isPublic
      isInternetExposed
      status
      isStale
      latestAsOf
      lastCodeActivity
      imageCreatedAt
      imageSha
      cloudProvider
      cloudAccountId
      cloudAccountName
      cloudRegions
      cloudClusterNames
      cloudImageCount
      imageCount
      developerEmail
      hitIndicatorValuesTruncated
      blockedCount
      flaggedCount
      allowedCount
      expiredCount
      lastActivity
    }
    totalCount
  }
}
```

#### Variables

This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.

```json
{
  "incidentId": "example"
}
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl -X POST \
https://api.cloud.ox.security/api/apollo-gateway \
-H 'Content-Type: application/json' \
-H 'Authorization: YOUR_API_TOKEN' \
-d '{
 "query": "query GetIncidentAffectedResources($incidentId: String!) { getIncidentAffectedResources(incidentId: $incidentId) { items { resourceName kind resourceDetail appName appId appType resourceOwner hitIndicatorValues appTags businessUnits { id name } affectedPackages { name versions } openIssues resolvedIssues sbomCount activeRows isRunning cloudRunState isCloudDeployed isPublic isInternetExposed status isStale latestAsOf lastCodeActivity imageCreatedAt imageSha cloudProvider cloudAccountId cloudAccountName cloudRegions cloudClusterNames cloudImageCount imageCount developerEmail hitIndicatorValuesTruncated blockedCount flaggedCount allowedCount expiredCount lastActivity } totalCount } }",
 "variables": {
    "incidentId": "example"
  }
}'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const query = 'query GetIncidentAffectedResources($incidentId: String!) { getIncidentAffectedResources(incidentId: $incidentId) { items { resourceName kind resourceDetail appName appId appType resourceOwner hitIndicatorValues appTags businessUnits { id name } affectedPackages { name versions } openIssues resolvedIssues sbomCount activeRows isRunning cloudRunState isCloudDeployed isPublic isInternetExposed status isStale latestAsOf lastCodeActivity imageCreatedAt imageSha cloudProvider cloudAccountId cloudAccountName cloudRegions cloudClusterNames cloudImageCount imageCount developerEmail hitIndicatorValuesTruncated blockedCount flaggedCount allowedCount expiredCount lastActivity } totalCount } }';

fetch("https://api.cloud.ox.security/api/apollo-gateway", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  body: JSON.stringify({
    query: query,
    // This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    variables: {
      incidentId: "example"
    }
  })
})
.then(response => response.json())
.then(result => console.log(JSON.stringify(result, null, 2)))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

query = 'query GetIncidentAffectedResources($incidentId: String!) { getIncidentAffectedResources(incidentId: $incidentId) { items { resourceName kind resourceDetail appName appId appType resourceOwner hitIndicatorValues appTags businessUnits { id name } affectedPackages { name versions } openIssues resolvedIssues sbomCount activeRows isRunning cloudRunState isCloudDeployed isPublic isInternetExposed status isStale latestAsOf lastCodeActivity imageCreatedAt imageSha cloudProvider cloudAccountId cloudAccountName cloudRegions cloudClusterNames cloudImageCount imageCount developerEmail hitIndicatorValuesTruncated blockedCount flaggedCount allowedCount expiredCount lastActivity } totalCount } }'

response = requests.post(
  "https://api.cloud.ox.security/api/apollo-gateway",
  headers={
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  json={
    "query": query,
    # This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    "variables": {
      "incidentId": "example"
    }
  }
)

if response.status_code == 200:
    result = response.json()
    print(result)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

{% endtab %}
{% endtabs %}

### Arguments

You can use the following argument(s) to customize your `getIncidentAffectedResources` query.

| Argument                                                                           | Description | Supported fields |
| ---------------------------------------------------------------------------------- | ----------- | ---------------- |
| incidentId `String!` <mark style="color:red;background-color:red;">required</mark> |             |                  |

### Fields

Return type: [`IncidentAffectedResources!`](/api-documentation/api-reference/api--response-center/types/objects/incident-affected-resources.md)

You can use the following field(s) to specify what information your `getIncidentAffectedResources` query will return. Please note that some fields may have their own subfields.

| Field                                                                                                                                     | Description | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| ----------------------------------------------------------------------------------------------------------------------------------------- | ----------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| items [`[IncidentAffectedResource!]!`](/api-documentation/api-reference/api--response-center/types/objects/incident-affected-resource.md) |             | <p>resourceName <code>String!</code><br>kind <a href="/api-documentation/api-reference/api--response-center/types/enums/affected-resource-kind.md"><code>AffectedResourceKind!</code></a><br>resourceDetail <code>String</code><br>appName <code>String</code><br>appId <code>String</code><br>appType <code>String</code><br>resourceOwner <code>String</code><br>hitIndicatorValues <code>\[String!]!</code><br>appTags <code>\[String!]!</code><br>businessUnits <a href="/api-documentation/api-reference/api--response-center/types/objects/incident-business-unit-ref.md"><code>\[IncidentBusinessUnitRef!]!</code></a><br>affectedPackages <a href="https://gitlab.com/oxsecurity/ox-docs/docs/-/tree/main/api-documentation/api-reference/api--response-center/types/objects/incident-affected-package.md"><code>\[IncidentAffectedPackage!]!</code></a><br>openIssues <code>Int!</code><br>resolvedIssues <code>Int!</code><br>sbomCount <code>Int!</code><br>activeRows <code>Int!</code><br>isRunning <code>Boolean!</code><br>cloudRunState <a href="/api-documentation/api-reference/api--response-center/types/enums/cloud-run-state.md"><code>CloudRunState</code></a><br>isCloudDeployed <code>Boolean!</code><br>isPublic <code>Boolean!</code><br>isInternetExposed <code>Boolean!</code><br>status <a href="/api-documentation/api-reference/api--response-center/types/enums/affected-resource-status.md"><code>AffectedResourceStatus!</code></a><br>isStale <code>Boolean!</code><br>latestAsOf <code>DateTime</code><br>lastCodeActivity <code>DateTime</code><br>imageCreatedAt <code>DateTime</code><br>imageSha <code>String</code><br>cloudProvider <code>String</code><br>cloudAccountId <code>String</code><br>cloudAccountName <code>String</code><br>cloudRegions <code>\[String!]</code><br>cloudClusterNames <code>\[String!]</code><br>cloudImageCount <code>Int</code><br>imageCount <code>Int</code><br>developerEmail <code>String</code><br>hitIndicatorValuesTruncated <code>Boolean</code><br>blockedCount <code>Int</code><br>flaggedCount <code>Int</code><br>allowedCount <code>Int</code><br>expiredCount <code>Int</code><br>lastActivity <code>DateTime</code></p> |
| totalCount `Int!`                                                                                                                         |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ox.security/api-documentation/api-reference/api--response-center/queries/get-incident-affected-resources.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
